<?PHP include('header.php');
$send_mail_ref = mysql_result(mysql_query("SELECT `price` FROM `b_config` WHERE `name`='send_mail_ref'"),0);
$all_price = $send_mail_ref * $referals;
echo <<<text
<span class='top-bl-s-verh'>Рассылка рефералам по внутренней почте</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
Рассылка всем или выбраному количеству рефералов.<br>
Цена одного реферала {$send_mail_ref} {$sitevalname} с рекламного счета.<br>
</td></tr>
</table>

<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<thead>
<tr>
<th align='center' width='42%' nowrap='nowrap'>Параметр</th>
<th align='center' nowrap='nowrap'>Значение</th>
<th></th>
</tr>
</thead>
<tbody>
<tr>
<td><b>Количество рефералов</b></td>
<td class="value"><input type="text" id="cols-ref" value="{$referals}" class="val"></td>
<td class="service"><span id="hint1" class="hint-quest"></span></td>
</tr>
<tr>
<td class="value" colspan="2">
<textarea id="send_mail_ref" maxlength="500" placeholder="Введите текст рассылки" class="expanding" cols="40" rows="3"></textarea>
</td>
<td class="service"><span id="hint2" class="hint-quest"></span></td>
</tr>
<tr>
<td>Стоимость рассылки</td>
<td class="value" colspan="2">
<span id="all_price">{$all_price}</span> Руб.
</td>
</tr>
</tbody>
</table>
<br />
<center><a href='javascript:void(0);' class='button-green' onclick='send_mail_ref();'>Отправить</a></center>

<script>
$(document).ready(function() {
$('#cols-ref').keyup(function() {
var one = $send_mail_ref;
var cols = $('#cols-ref').val();
var all_price = parseFloat((cols * one).toFixed(2));
$('#all_price').html(all_price);
});

var maxL = $('#send_mail_ref').attr('maxlength');
var curL = $('#send_mail_ref').val().length;
var rem = maxL - curL;
$('#counter').html(rem + ' осталось символов');

$('#welc_ref').keyup(function() {
var maxLength = $('#send_mail_reff').attr('maxlength');
var curLength = $('#send_mail_ref').val().length;
$(this).val($(this).val().substr(0, maxLength));
var remaning = maxLength - curLength;
if (remaning < 0) remaning = 0;
$('#counter').html(remaning + ' осталось символов');
if (remaning < 10) {
$('#counter').css('color','#FF0000');
} else {
$('#counter').css('color','#402DED');
}
});
});

var progress = false;
function send_mail_ref(){
if(!progress){
var count = $('#cols-ref').val();
var text = $('#send_mail_ref').val();
if(text == '') { QBinfo('Ошибка:','<b>Нужно ввести текст для отправки!</b>',4000,'bottom-right'); return false;}
$.ajax({ 
type: "POST", 
url: "/ajax/profile.php", 
data: { 'func' : 'send_mail_ref', 'count' : count, 'text' : text },
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) { QBinfo('Ошибка:','<b>Рассылка успешно отправлена!</b>',4000,'bottom-right');}
else if(data == 2) { QBinfo('Ошибка:','<b>Недостаточно средств!</b>',4000,'bottom-right');}
else if(data == 3) { QBinfo('Ошибка:','<b>У вас нет столько рефералов!</b>',4000,'bottom-right');}
else{ QBinfo('Ошибка:','<b>'+data+'!</b>',4000,'bottom-right'); }
progress = false;
}
});
}
}
</script>
text;
 include('footer.php'); ?>